Cyberduck Mountain Duck CLI

#9013 closed defect (fixed)

Heap space error with CLI large file download

Reported by: renato3 Owned by: yla
Priority: normal Milestone: 5.0.9
Component: cli Version: 4.7.2
Severity: critical Keywords: CLI, big files
Cc: Architecture: Intel
Platform: Mac OS X 10.10

Description (last modified by dkocher)

Hello, I am using Cyberduck quite intensively, both UI and CLI (together with Hazel on OS X).

The cli line:

duck --verbose  --username XXXX --existing resume -d sftp://whatever.com/docs-en-pics/ /Volumes/MediaDrive/Stuff/

on a 26.8GB file (part of a directory with 5 very large files, ranging from 20-75 GB per file) eventually results in:

"> 93909 READUncaught failure with error message Java heap space. Quitting application"

This is consistent behaviour.

Attachments (1)

Screen Shot 2016-04-18 at 09.49.00.png (90.4 KB) - added by dkocher on Apr 18, 2016 at 7:51:08 AM.

Download all attachments as: .zip

Change History (9)

comment:1 Changed on Sep 16, 2015 at 7:52:29 AM by dkocher

  • Owner set to dkocher
  • Status changed from new to assigned
  • Summary changed from Java heap space error with CLI large file download to Heap space error with CLI large file download

comment:2 Changed on Sep 17, 2015 at 3:49:14 PM by dkocher

  • Description modified (diff)

comment:3 Changed on Sep 25, 2015 at 6:32:49 PM by dkocher

Tried to reproduce the memory leak with an FTP connection but couldn't replicate. Possibly only an issue with SFTP.

comment:4 Changed on Dec 14, 2015 at 1:03:45 PM by dkocher

See also #9118 in generic.

comment:5 Changed on Jan 18, 2016 at 2:18:28 PM by dkocher

  • Owner changed from dkocher to yla
  • Status changed from assigned to new

comment:7 Changed on May 23, 2016 at 6:50:45 PM by dkocher

  • Milestone changed from 5.0 to 5.1

comment:8 Changed on Jul 20, 2016 at 10:58:05 AM by dkocher

  • Milestone changed from 5.1 to 5.0.9
  • Resolution set to fixed
  • Status changed from new to closed

Fixed with r21091. See #9603.

Note: See TracTickets for help on using tickets.
swiss made software